Bug 613100 - openvpn crashes when wrong password is entered using auth plugin
openvpn crashes when wrong password is entered using auth plugin
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: openvpn (Show other bugs)
el5
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-09 13:27 EDT by Bernd Bartmann
Modified: 2017-04-06 06:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:33:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2010-07-09 13:27:50 EDT
Description of problem:
I've configured openvpn to use cert and username/password auth. The password auth happens against the normal system user accounts. Whenever I enter the correct username / password pair everything is fine. But if I enter a wrong password openvpn crashes with SIGTERM. Here is a short excerpt from my openvpn logs:
 
PLUGIN_CALL: POST /usr/lib64/openvpn/plugin/lib/openvpn-auth-pam.so/PLUGIN_AUTH_USER_PASS_VERIFY status=1
PLUGIN_CALL: plugin function PLUGIN_AUTH_USER_PASS_VERIFY failed with status 1: /usr/lib64/openvpn/plugin/lib/openvpn-auth-pam.so
TLS Auth Error: Auth Username/Password verification failed for peer
SENT CONTROL [eeepc]: 'AUTH_FAILED' (status=1)
PLUGIN_CLOSE: /usr/lib64/openvpn/plugin/lib/openvpn-auth-pam.so
SIGTERM[soft,delayed-exit] received, process exiting

The same problems has already been reported and fixed for Fedora 11 in bug #520918. Fixed versions seem to be available for Fedora 11 and 12, but not for EPEL5.

Version-Release number of selected component (if applicable):
openvpn-2.1.1-2.el5

How reproducible:
Everytime.

Steps to Reproduce:
1. Configure openvpn to use username / password auth
2. Enter a wrong password 
3. Monitor openvpn logs for SIGTERM
  
Actual results:
openvpn crashes

Expected results:
openvpn should not crash

Additional info:
Comment 1 Bernd Bartmann 2010-07-09 13:54:06 EDT
Correction: The current EPEL version openvpn-2.1.1-2.el5 seems to be exactly the same as the current F11, F12 and F13 version. Nonetheless I encounter the crash problem on EPEL5.
Comment 2 Fedora End Of Life 2017-04-06 06:33:30 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.